# Generated by Django 3.2.8 on 2023-11-01 12:31

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("stores", "0094_countrypaymentmethod"),
    ]

    operations = [
        migrations.AddField(
            model_name="address",
            name="address_line_arabic",
            field=models.CharField(blank=True, max_length=250, null=True),
        ),
        migrations.AddField(
            model_name="address",
            name="city_arabic",
            field=models.CharField(
                blank=True,
                help_text="The address city in arabic.",
                max_length=120,
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="address",
            name="country_arabic",
            field=models.CharField(
                blank=True, help_text="The address country.", max_length=64, null=True
            ),
        ),
        migrations.AddField(
            model_name="address",
            name="region_arabic",
            field=models.CharField(
                blank=True,
                help_text="The address region, province, or state in arabic.",
                max_length=64,
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="attribute",
            name="name_arabic",
            field=models.CharField(
                blank=True, help_text="Name in Arabic", max_length=200, null=True
            ),
        ),
        migrations.AddField(
            model_name="attributechoice",
            name="description_arabic",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="attributechoice",
            name="label_arabic",
            field=models.CharField(blank=True, max_length=200, null=True),
        ),
        migrations.AddField(
            model_name="attributechoice",
            name="name_arabic",
            field=models.CharField(
                blank=True, help_text="Name in Arabic", max_length=200, null=True
            ),
        ),
        migrations.AddField(
            model_name="availabilityhours",
            name="weekday_arabic",
            field=models.IntegerField(
                blank=True,
                choices=[
                    (1, "الاثنين"),
                    (2, "الثلاثاء"),
                    (3, "الأربعاء"),
                    (4, "الخميس"),
                    (5, "الجمعة"),
                    (6, "السبت"),
                    (7, "الأحد"),
                ],
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="cartitem",
            name="notes_arabic",
            field=models.TextField(
                blank=True, help_text="Special instructions in arabic", null=True
            ),
        ),
        migrations.AddField(
            model_name="category",
            name="description_arabic",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="category",
            name="name_arabic",
            field=models.CharField(
                blank=True, help_text="Name in Arabic", max_length=200, null=True
            ),
        ),
        migrations.AddField(
            model_name="favorite",
            name="name_arabic",
            field=models.CharField(blank=True, max_length=200, null=True),
        ),
        migrations.AddField(
            model_name="immutableaddress",
            name="address_line_arabic",
            field=models.CharField(blank=True, max_length=250, null=True),
        ),
        migrations.AddField(
            model_name="immutableaddress",
            name="city_arabic",
            field=models.CharField(
                blank=True,
                help_text="The address city in arabic.",
                max_length=120,
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="immutableaddress",
            name="country_arabic",
            field=models.CharField(
                blank=True, help_text="The address country.", max_length=64, null=True
            ),
        ),
        migrations.AddField(
            model_name="immutableaddress",
            name="region_arabic",
            field=models.CharField(
                blank=True,
                help_text="The address region, province, or state in arabic.",
                max_length=64,
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="menu",
            name="name_arabic",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="openinghours",
            name="weekday_arabic",
            field=models.IntegerField(
                blank=True,
                choices=[
                    (1, "الاثنين"),
                    (2, "الثلاثاء"),
                    (3, "الأربعاء"),
                    (4, "الخميس"),
                    (5, "الجمعة"),
                    (6, "السبت"),
                    (7, "الأحد"),
                ],
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="paymentmethod",
            name="description_arabic",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="paymentmethod",
            name="name_arabic",
            field=models.CharField(
                blank=True, help_text="Name", max_length=200, null=True
            ),
        ),
        migrations.AddField(
            model_name="product",
            name="description_arabic",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="product",
            name="label_arabic",
            field=models.CharField(
                blank=True, help_text="Label in Arabic", max_length=200, null=True
            ),
        ),
        migrations.AddField(
            model_name="product",
            name="name_arabic",
            field=models.CharField(
                blank=True,
                help_text="Name in arabic",
                max_length=200,
                null=True,
                unique=True,
            ),
        ),
        migrations.AddField(
            model_name="productattribute",
            name="description_arabic",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="productattribute",
            name="label_arabic",
            field=models.CharField(blank=True, max_length=200, null=True),
        ),
        migrations.AddField(
            model_name="productattribute",
            name="name_arabic",
            field=models.CharField(
                blank=True, help_text="Name in Arabic", max_length=200, null=True
            ),
        ),
        migrations.AddField(
            model_name="producttag",
            name="name_arabic",
            field=models.CharField(blank=True, max_length=500, null=True),
        ),
        migrations.AddField(
            model_name="productvariant",
            name="description_arabic",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="productvariant",
            name="label_arabic",
            field=models.CharField(
                blank=True, help_text="Label in arabic", max_length=50, null=True
            ),
        ),
        migrations.AddField(
            model_name="productvariant",
            name="name_arabic",
            field=models.CharField(
                blank=True, help_text="Name in Arabic", max_length=200, null=True
            ),
        ),
        migrations.AddField(
            model_name="shippingmethod",
            name="description_arabic",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="shippingmethod",
            name="name_arabic",
            field=models.CharField(
                blank=True, help_text="Name in arabic", max_length=200, null=True
            ),
        ),
        migrations.AddField(
            model_name="shippingmethod",
            name="type_arabic",
            field=models.CharField(
                choices=[
                    ("DRIVE_THROUGH", "Drive Through"),
                    ("TAKEAWAY", "Takeaway"),
                    ("توصيل", "Delivery"),
                ],
                default="توصيل",
                max_length=30,
            ),
        ),
        migrations.AddField(
            model_name="store",
            name="name_arabic",
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name="wallet",
            name="name_arabic",
            field=models.CharField(blank=True, max_length=200, null=True),
        ),
        migrations.AlterField(
            model_name="payment",
            name="user",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="user_payments",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
    ]
